Bug 1805731 - Review Request: google-rubik-fonts - A sans serif font family with slightly rounded corners
Summary: Review Request: google-rubik-fonts - A sans serif font family with slightly r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 13:00 UTC by Nicolas Mailhot
Modified: 2020-03-31 00:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 00:16:03 UTC
Type: ---
Embargoed:
panemade: fedora-review+


Attachments (Terms of Use)

Description Nicolas Mailhot 2020-02-21 13:00:56 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240842-google-rubik-fonts/google-rubik-fonts.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/nim/fonts-rpm-macros/fedora-rawhide-x86_64/01240842-google-rubik-fonts/google-rubik-fonts-2.100-1.20191208git2e360a2.fc33.src.rpm

Description:
Rubik is a sans serif font family with slightly rounded corners designed by
Philipp Hubert and Sebastian Fischer at Hubert & Fischer as part of the Chrome
Cube Lab project.

Fedora Account System Username: nim


A font created by Google for its own needs

The packaging conforms to https://pagure.io/packaging-committee/issue/935
as approved by FPC on 2020-02-13.

It makes use of our forge automation:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/

It is one of the test packages that were used to refine the new packaging guidelines
https://copr.fedorainfracloud.org/coprs/nim/fonts-rpm-macros/

The new fonts packaging build chain is now live in koji. For example:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1468243

If the review is fast enough the package may make the FC32 100% Code Complete Deadline (2020-02-25)
https://fedorapeople.org/groups/schedule/f-32/f-32-key-tasks.html

Comment 2 Parag AN(पराग) 2020-03-14 17:48:18 UTC
Review:

This package follows new fonts packaging guidelines.

Rpmlint
-------
Checking: google-rubik-fonts-2.100-2.20191208git2e360a2.fc33.noarch.rpm
          google-rubik-fonts-2.100-2.20191208git2e360a2.fc33.src.rpm
google-rubik-fonts.noarch: W: incoherent-version-in-changelog 2.100-2 ['2.100-2.20191208git2e360a2.fc33', '2.100-2.20191208git2e360a2']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Source checksums
----------------
https://github.com/googlefonts/rubik/archive/2e360a2044e6d1d4e3a6ddd992144a9a0b5446af/rubik-2e360a2044e6d1d4e3a6ddd992144a9a0b5446af.tar.gz :
  CHECKSUM(SHA256) this package     : 68f62d33446b80c0567ff310ea3789922117469d57068e563ce997fa3fbb1299
  CHECKSUM(SHA256) upstream package : 68f62d33446b80c0567ff310ea3789922117469d57068e563ce997fa3fbb1299


Requires
--------
google-rubik-fonts (rpmlib, GLIBC filtered):
    config(google-rubik-fonts)
    fontpackages-filesystem



Provides
--------
google-rubik-fonts:
    config(google-rubik-fonts)
    font(rubik)
    font(rubikblack)
    font(rubikbold)
    font(rubiklight)
    font(rubikmedium)
    google-rubik-fonts
    metainfo()
    metainfo(org.fedoraproject.google-rubik-fonts.metainfo.xml)


Issues:
1) Fix the Changelog rpmlint warning

APPROVED.

Comment 3 Gwyn Ciesla 2020-03-14 20:04:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/google-rubik-fonts

Comment 4 Fedora Update System 2020-03-14 21:23:50 UTC
FEDORA-2020-1a0b2866c2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1a0b2866c2

Comment 5 Fedora Update System 2020-03-14 21:23:51 UTC
FEDORA-2020-40de219b01 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-40de219b01

Comment 6 Fedora Update System 2020-03-15 14:29:50 UTC
google-rubik-fonts-2.100-2.20200314git2e360a2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1a0b2866c2

Comment 7 Fedora Update System 2020-03-16 14:12:12 UTC
google-rubik-fonts-2.100-2.20200314git2e360a2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-40de219b01

Comment 8 Fedora Update System 2020-03-31 00:16:03 UTC
FEDORA-2020-40de219b01 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.